explain_wait3_or_die(3)

NAME
explain_wait3_or_die - wait for process to change state and report errors
    "wait for process to change state and report errors"

SYNOPSIS
#include <libexplain/wait3.h>

void explain_wait3_or_die(int *status, int options, struct rusage *rusage);

DESCRIPTION
The explain_wait3_or_die function is used to call the wait3(2) system call. On failure an explanation will be printed to stderr, obtained from explain_wait3(3), and then the process terminates by calling exit(EXIT_FAILURE).

This function is intended to be used in a fashion similar to the following example:
    int pid = explain_wait3_or_die(status, options, rusage);

status
    The status, exactly as to be passed to the wait3(2) system call.

options
    The options, exactly as to be passed to the wait3(2) system call.

rusage
    The rusage, exactly as to be passed to the wait3(2) system call.

Returns:
    This function only returns on success. On failure, prints an explanation and exits.

SEE ALSO

wait3(2)
    wait for process to change state

explain_wait3(3)
    explain wait3(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.4
Copyright (C) 2008 Peter Miller